<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Manage ServiceType
 * @subpackage Services
 */
class Manage extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Manage_DriverSocialProfiles
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Manage_DriverSocialProfiles $parameters
     * @return \StructType\Manage_DriverSocialProfilesResponse|bool
     */
    public function Manage_DriverSocialProfiles(\StructType\Manage_DriverSocialProfiles $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Manage_DriverSocialProfiles($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Manage_DriverSocialProfilesResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
